Subject: krb-wg IETF66 meeting summary

From: Jeffrey Hutzelman <[email-masked]>
Date: Thu, 13 Jul 2006 12:20:09 -0400

Kerberos Working Group - IETF 66 meeting summary

ACTION ITEMS:
  * chair: Update milestones
  * chair: Send ECC for PKINIT to IESG
  * chair: Send TCP extensions to IESG
  * chair: Start last call on Naming, Anonymous
  * nico: update Set/Change Password for last call

MILESTONES:
  Jul 2006                Last Call on Naming
  Jul 2006                Last Call on Anonymous
  Aug 2006                Last Call on Referrals
  Sep 2006                Last Call on Change/Set password
  Oct 2006                Last Call on Extensions
  Nov 2006                Last Call on PKINIT Hash Agility
  Nov 2006                Last Call on GSS-API Mechanism Hash Agility

+ There was a brief summary of ongoing work:
  - Enctype Negotiation published as RFC4537
  - PKINIT published as RFC4556
  - OCSP for PKINIT published as RFC4557
  - WGLC completed on ECC for PKINIT
  - WGLC completed on TCP Extensions
  - Most milestones on track

+ There was a brief summary of related work outside the WG

+ Shoichi Sakane gave a presentation on issues related to cross-realm
  authentication, which were the motiviation behind the XKDCP proposal.

+ Andrea Doherty gave a presentation on OTP work for Kerberos.

+ We had a discussion on updating our charter.  Both the chair and AD
  would like to replace fairly open-ended language in the currnet WG
  charter with a more focused list of work.  In addition to the eight
  items currently in the pipeline, discussion came up with four areas
  for additional work:

  Existing work items:
  - ECC for PKINIT
  - TCP Extensions
  - Naming
  - Anonymous
  - Set/Change Password
  - Referrals
  - Extensions
  - Hash Agility

  Areas for more work:
  - Cross-Realm
  - Preauth
  - OTP
  - Info Model

+ Larry Zhu presented open issues on the naming and anonymous documents.

+ Love Hörnquist-Åstrand presented open issues on PKINIT hash agility.